org.wildfly.swarm.config.management

## Class NativeInterfaceManagementInterface<T extends NativeInterfaceManagementInterface<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.NativeInterfaceManagementInterface<T>

-     public class NativeInterfaceManagementInterface<T extends NativeInterfaceManagementInterface<T>>
      extends Object

  Configuration of the server's native management interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeInterfaceManagementInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslAuthenticationFactory()` The SASL authentication policy to use to secure this interface.
    `T` | `saslAuthenticationFactory(String value)` The SASL authentication policy to use to secure this interface.
    `String` | `saslProtocol()` The name of the protocol to be passed to the SASL mechanisms used for authentication.
    `T` | `saslProtocol(String value)` The name of the protocol to be passed to the SASL mechanisms used for authentication.
    `String` | `securityRealm()` The legacy security realm to use for the native management interface.
    `T` | `securityRealm(String value)` The legacy security realm to use for the native management interface.
    `String` | `serverName()` The name of the server used in the initial Remoting exchange and within the SASL mechanisms.
    `T` | `serverName(String value)` The name of the server used in the initial Remoting exchange and within the SASL mechanisms.
    `String` | `socketBinding()` The name of the socket binding configuration to use for the native management interface's socket.
    `T` | `socketBinding(String value)` The name of the socket binding configuration to use for the native management interface's socket.
    `String` | `sslContext()` Reference to the SSLContext to use for this management interface.
    `T` | `sslContext(String value)` Reference to the SSLContext to use for this management interface.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeInterfaceManagementInterface

          public NativeInterfaceManagementInterface()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### saslAuthenticationFactory

          public String saslAuthenticationFactory()

      The SASL authentication policy to use to secure this interface.

    - #### saslAuthenticationFactory

          public T saslAuthenticationFactory(String value)

      The SASL authentication policy to use to secure this interface.

    - #### saslProtocol

          public String saslProtocol()

      The name of the protocol to be passed to the SASL mechanisms used for authentication.

    - #### saslProtocol

          public T saslProtocol(String value)

      The name of the protocol to be passed to the SASL mechanisms used for authentication.

    - #### securityRealm

          public String securityRealm()

      The legacy security realm to use for the native management interface.

    - #### securityRealm

          public T securityRealm(String value)

      The legacy security realm to use for the native management interface.

    - #### serverName

          public String serverName()

      The name of the server used in the initial Remoting exchange and within the SASL mechanisms.

    - #### serverName

          public T serverName(String value)

      The name of the server used in the initial Remoting exchange and within the SASL mechanisms.

    - #### socketBinding

          public String socketBinding()

      The name of the socket binding configuration to use for the native management interface's socket.

    - #### socketBinding

          public T socketBinding(String value)

      The name of the socket binding configuration to use for the native management interface's socket.

    - #### sslContext

          public String sslContext()

      Reference to the SSLContext to use for this management interface.

    - #### sslContext

          public T sslContext(String value)

      Reference to the SSLContext to use for this management interface.

Copyright © 2018 JBoss by Red Hat. All rights reserved.